Version 18 (modified by y.zhang@…, 2 years ago)

--

g++

g++ >=4.3

Perl

Perl needs to be installed at /usr/bin/perl

SMALT

Download  smalt-0.4.3 choose the right version of SMALT. If your system is linux x86_64

cp smalt_x86_64 smalt

Samtools

Download  samtools-0.1.8 or [Other versions  http://sourceforge.net/projects/samtools/files/samtools/]

Follow INSTALL instruction.*** PASSion version <= 1.2.0 does not support the samtools mpileup; PASSion version >= 1.2.1 supports both samtools mpileup and samtools pileup.

PASSion

cd path_to_passion/PASSION/
chmod +x *
sh compile.sh

Set PATH environment variable

Set SMALT, Samtools and PASSion's path to PATH environment variable.

For linux users:

vim ~/.bashrc or vim ~/.cshrc
export PATH=$PATH:path_to_smalt/smalt: path_to_samtools/samtools: path_to_passion/PASSION
(example: export PATH=$PATH:~/smalt-0.4.3:~/PASSION:~/tools/samtools-0.1.8)

Finally, reload .bashrc

Start page